MeGeneral

Edit user information

PUT
/api/me/general

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
name*string
Length3 <= length <= 64
surname*string
Length3 <= length <= 64
affiliation?string
Lengthlength <= 64
address?string
Lengthlength <= 300
country?string
Lengthlength <= 300
vat_num?string
Lengthlength <= 300
other_info?string
Lengthlength <= 500

Response Body

OK

application/json
  1. response
name*string
Length3 <= length <= 64
surname*string
Length3 <= length <= 64
affiliation?string
Lengthlength <= 64
address?string
Lengthlength <= 300
country?string
Lengthlength <= 300
vat_num?string
Lengthlength <= 300
other_info?string
Lengthlength <= 500
curl -X PUT "https://example.com/api/me/general" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "surname": "string"  }'
{  "name": "string",  "surname": "string",  "affiliation": "string",  "address": "string",  "country": "string",  "vat_num": "string",  "other_info": "string"}